USRP Hardware Driver and USRP Manual: uhd::build_info Namespace Reference

| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Functions
uhd::build_info Namespace Reference

## Functions
const std::string | boost_version ()
| Return the version of Boost this build was built with.
const std::string | build_date ()
| Return the date and time (GMT) this UHD build was built.
const std::string | c_compiler ()
| Return the C compiler used for this build.
const std::string | cxx_compiler ()
| Return the C++ compiler used for this build.
const std::string | c_flags ()
| Return the C flags passed into this build.
const std::string | cxx_flags ()
| Return the C++ flags passed into this build.
const std::string | enabled_components ()
| Return the UHD components enabled for this build, comma-delimited.
const std::string | install_prefix ()
| Return the default CMake install prefix for this build.
const std::string | libusb_version ()
| Return the version of libusb this build was built with.
const std::string | dpdk_version ()
| Return the version of DPDK this build was built with.
const std::string | pkg_data_dir ()
| Return the value of PKG_DATA_DIR at build time (e.g., "share/uhd").

## Function Documentation

## ◆ boost_version()

const std::string uhd::build_info::boost_version | ( |  | ) |

Return the version of Boost this build was built with.

## ◆ build_date()

const std::string uhd::build_info::build_date | ( |  | ) |

Return the date and time (GMT) this UHD build was built.

## ◆ c_compiler()

const std::string uhd::build_info::c_compiler | ( |  | ) |

Return the C compiler used for this build.

## ◆ c_flags()

const std::string uhd::build_info::c_flags | ( |  | ) |

Return the C flags passed into this build.

## ◆ cxx_compiler()

const std::string uhd::build_info::cxx_compiler | ( |  | ) |

Return the C++ compiler used for this build.

## ◆ cxx_flags()

const std::string uhd::build_info::cxx_flags | ( |  | ) |

Return the C++ flags passed into this build.

## ◆ dpdk_version()

const std::string uhd::build_info::dpdk_version | ( |  | ) |

Return the version of DPDK this build was built with.

## ◆ enabled_components()

const std::string uhd::build_info::enabled_components | ( |  | ) |

Return the UHD components enabled for this build, comma-delimited.

## ◆ install_prefix()

const std::string uhd::build_info::install_prefix | ( |  | ) |

Return the default CMake install prefix for this build.

## ◆ libusb_version()

const std::string uhd::build_info::libusb_version | ( |  | ) |

Return the version of libusb this build was built with.

## ◆ pkg_data_dir()

const std::string uhd::build_info::pkg_data_dir | ( |  | ) |

Return the value of PKG_DATA_DIR at build time (e.g., "share/uhd").